# coding: utf8
#On charge un fonds d'écran
#On charge un sprite png 180x90
#composé de deux images 90x90
#l'une est un vaisseau sans flamme d'éjection de gaz
#l'autre avec des flammes d'éjection de gaz
#L'image est repérée par son CSG


#-----------------------------LIBRAIRIES------------------------------
import pygame, sys, random, math
from pygame.locals import *

#------------------------VARIABLES-----------------------------------
LARGEUR                 = 800
HAUTEUR                = 500
NOIR                         = (0,0,0)
LARGEUR_IMAGE  = 90
HAUTEUR_IMAGE  = 90
#--------------------------------------------------------------
position                          = [(LARGEUR-LARGEUR_IMAGE)/2 ,(HAUTEUR-HAUTEUR_IMAGE)/2 ]
direction                        = 0
vitesse                            = [0,0]
acceleration                   = 1

accelere                          = False

csg_sprite                      = (0,0)

#-----------------------------------FONCTIONS-----------------------------------------------

def vecteurAcceleration(direction):
	return [acceleration*math.cos(direction),acceleration*math.sin(direction)]
	
#-------------------------------------------------------------------------------------------------

def miseAJour():
	global accelere,position,vitesse,direction,csg_sprite
	if accelere:
		csg_sprite = (90,0)
		vitesse   = [vitesse[0] +vecteurAcceleration(direction)[0],vitesse[1]+vecteurAcceleration(direction)[1]]
		position = [(vitesse[0] + position[0]) % LARGEUR,(vitesse[1] + position[1])%HAUTEUR]
	else:
		csg_sprite = (0,0)
		position = [(vitesse[0] + position[0]) % LARGEUR,(vitesse[1] + position[1]) % HAUTEUR]
				   
#------------------------------------------------------------------------------ 
 

# --------------------PROGRAMME PRINCIPAL--------------------------------
#Initialisation de pygame
pygame.init()

#Initialisation de la fenetre graphique
fenetre = pygame.display.set_mode((LARGEUR,HAUTEUR))
pygame.display.set_caption("Animation 8")

#chargement des images en mémoire vive
#fonds écran = espace
image_espace = pygame.image.load("space.png")

# vaisseau
image_Vaisseau = pygame.image.load("double_ship.png")
   
#boucle infinie
while True:

#receptionnaire evenements
    for event in pygame.event.get():
        if event.type == QUIT:
            pygame.quit()
            sys.exit()
        elif event.type == KEYDOWN:
            if event.key == K_UP:
			    accelere = True
        elif event.type == KEYUP:
            if event.key == K_UP:
				accelere = False
#mise à jour des paramètres
    miseAJour()
#intégration de l'image fonds écran à la fenêtre
    fenetre.blit(image_espace,(0,0))
    
#intégration de l'image du vaisseau à l'écran
    fenetre.blit(image_Vaisseau,(position[0],position[1]),(csg_sprite, (LARGEUR_IMAGE,HAUTEUR_IMAGE)))
    pygame.display.update()		
   
#------------------------------------------------------------------------------------------
